Subject: bug#78976: closed (Re: bug#78976: 2 bugs in eintr)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 09 Aug 2025 12:09:02 +0000

Your bug report

#78976: 2 bugs in eintr

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78976: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78976
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78976: 2 bugs in eintr
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 09 Aug 2025 15:08:31 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> Date: Sat, 26 Jul 2025 12:24:53 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > Date: Tue, 22 Jul 2025 02:45:50 +0000
> > From: ivbit--- via "Bug reports for GNU Emacs,
> >  the Swiss army knife of text editors" <[email-masked]>
> > 
> > In file emacs-lisp-intro.texi downloaded from:
> > https://www.gnu.org/software/emacs/manual/texi/eintr.texi.tar.gz
> > 
> > 1st bug was in function at line 20014, (defun print-Y-axis
> > I see it is fixed now with defun added at line 21463.
> 
> OK.
> 
> > 2nd bug is in function at line 21597, (defun print-X-axis-numbered-line
> 
> This function is in @ignore block, so it doesn't get into the manual.
> Do we still need to fix it?  Or maybe we need to fix some other place?
> 
> > Fix is to insert additional line at line 21609:
> > (number-to-string horizontal-step)
> > 
> > Not all functions labeled "final" are actually final in this chapter.
> > Some have improved versions later in the text.
> > Functions in eintr-graph.el.gz were all copied from info version of manual while reading in Emacs.
> > Adding them as another page is just a suggestion. Fixing 2 bugs should be enough, I think.
> 
> OK.

No further comments, so I'm now closing this bug.

Subject: 2 bugs in eintr
From: "Иван Битюцкий" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 08 Jul 2025 14:37:08 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Greetings! I've found 2 bugs in "Emacs Lisp Intro", which is"An Introduction to Programming in Emacs Lisp" by Bob Chassell. *** 1st bug: When reading in Emacs in info and evaluating code from Appendix C "A graph with labeled axes" with C-x C-e, then switching to scratch buffer to print the graph, Emacs complains about wrong number of arguments to a function print-Y-axis . *** 2nd bug: Appendix C "A graph with labeled axes" , function print-X-axis-numbered-line does not print the first number in the X axis of the graph. *** I've fixed both bugs and the fixed functions are in attached file eintr-bugfix.el.gz *** Suggestion: Add another page with final versions of all functions to print graph put together, so readers can install them with C-x C-e, then switch to the scratch buffer and print the graph. I've collected all the necessary functions with bugfixes and a small extra function to make it easier to print graph in attached file eintr-graph.el.gz *** Other:  At the end of Index node, when I press SPACE, I'm taken to "C.2.1 Side Trip: Compute a Remainder" instead of "About the Author" node. *** I'm switching to GNU Emacs after 20 years of using the "other" editor. Feels great so far.